Bug 1295461 - Using a Teiid language based virtual function causes an error
Using a Teiid language based virtual function causes an error
Status: CLOSED CURRENTRELEASE
Product: JBoss Data Virtualization 6
Classification: JBoss
Component: Teiid (Show other bugs)
6.3.0
Unspecified Unspecified
high Severity urgent
: ER1
: 6.3.0
Assigned To: Van Halbert
Andrej Smigala
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-04 10:20 EST by Andrej Smigala
Modified: 2016-08-24 07:50 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-08-24 07:50:14 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker TEIID-3270 Major Closed Allow UDFs to call Teiid functions 2016-06-13 15:15 EDT

  None (edit)
Description Andrej Smigala 2016-01-04 10:20:56 EST
Running SELECT f1(42) AS c; against the vdb below results in the following error:

org.teiid.api.exception.query.QueryResolverException: TEIID30068 The function 'f1(42)' is an unknown form.  Check that the function name and number of arguments is correct.


<vdb name="ddlfunctions" version="1">
	<model visible="true" type="VIRTUAL" name="FunctionModel">
		<metadata type="DDL"><![CDATA[   	  
 	   CREATE VIRTUAL FUNCTION f1(p1 integer) RETURNS integer AS RETURN p1;
      ]]>
		</metadata>
	</model>
</vdb>



DV 6.3 DR1
Comment 2 JBoss JIRA Server 2016-01-04 13:56:52 EST
Steven Hawkins <shawkins@redhat.com> updated the status of jira TEIID-3270 to Resolved
Comment 3 JBoss JIRA Server 2016-06-13 15:15:27 EDT
Steven Hawkins <shawkins@redhat.com> updated the status of jira TEIID-3270 to Closed

Note You need to log in before you can comment on or make changes to this bug.